=== gnome/CMakeLists.txt ===
install(FILES heif.thumbnailer DESTINATION ${CMAKE_INSTALL_DATADIR}/thumbnailers)
install(FILES avif.xml heif.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
