=== debian/changelog ===
libheif (1.14.2-1ubuntu1) lunar; urgency=medium

  * debian/libheif1.dirs:
    - create the plugins directory, if it's missing the loader is bailing
      out. Fix opening of heif files in eog (lp: #2017420)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 01 Jun 2023 11:31:10 +0200

libheif (1.14.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + heif-gdk-pixbuf: Add Multi-Arch: same.

  [ Joachim Bauch ]
  * New upstream version 1.14.2
  * Update symbols for new upstream version.
  * Switch to cmake and use arch-dependent include directory.
  * Update "Standards-Version" to 4.6.2

 -- Joachim Bauch <bauch@struktur.de>  Tue, 17 Jan 2023 10:17:32 +0100
