## libheif 1.15.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.0)
 
-project(libheif LANGUAGES C CXX VERSION 1.14.2)
+project(libheif LANGUAGES C CXX VERSION 1.15.1)
 
 # https://cmake.org/cmake/help/v3.1/policy/CMP0054.html
 cmake_policy(VERSION 3.0...3.22)
@@ -60,7 +60,7 @@
 option(ENABLE_PLUGIN_LOADING "Support loading of plugins" ON)
 set(PLUGIN_DIRECTORY "${CMAKE_INSTALL_FULL_LIBDIR}/libheif" CACHE STRING "Plugin install directory")
 
-if (ENABLE_PLUGIN_LOADING AND UNIX)
+if (ENABLE_PLUGIN_LOADING)
     set(PLUGIN_LOADING_SUPPORTED_AND_ENABLED TRUE)
     install(DIRECTORY DESTINATION ${PLUGIN_DIRECTORY} DIRECTORY_PERMISSIONS 
         OWNER_WRITE OWNER_READ OWNER_EXECUTE
@@ -112,39 +112,23 @@
 else()
     set(includedir "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
 endif()
-if (LIBDE265_FOUND)
+if (LIBDE265_FOUND AND NOT WITH_LIBDE265_PLUGIN)
     list(APPEND REQUIRES_PRIVATE "libde265")
-    set(have_libde265 yes)
-else()
-    set(have_libde265 no)
 endif()
-if (X265_FOUND)
+if (X265_FOUND AND NOT WITH_X265_PLUGIN)
     list(APPEND REQUIRES_PRIVATE "x265")
-    set(have_x265 yes)
-else()
-    set(have_x265 no)
 endif()
-if (AOM_DECODER_FOUND OR AOM_ENCODER_FOUND)
+if ((AOM_DECODER_FOUND AND NOT WITH_AOM_DECODER_PLUGIN) OR (AOM_ENCODER_FOUND AND NOT WITH_AOM_ENCODER_PLUGIN))
     list(APPEND REQUIRES_PRIVATE "aom")
 endif()
-if (DAV1D_FOUND)
+if (DAV1D_FOUND AND NOT WITH_DAV1D_PLUGIN)
     list(APPEND REQUIRES_PRIVATE "dav1d")
 endif()
-if (RAV1E_FOUND)
+if (RAV1E_FOUND AND NOT WITH_RAV1E_PLUGIN)
     list(APPEND REQUIRES_PRIVATE "rav1e")
 endif()
-if (SvtEnc_FOUND)
+if (SvtEnc_FOUND AND NOT WITH_SvtEnc_PLUGIN)
     list(APPEND REQUIRES_PRIVATE "SvtAv1Enc")
-endif()
-if (AOM_DECODER_FOUND OR DAV1D_FOUND)
-    set(have_avif_decoder yes)
-else()
-    set(have_avif_decoder no)
-endif()
-if (AOM_ENCODER_FOUND OR RAV1E_FOUND)
-    set(have_avif_encoder yes)
-else()
-    set(have_avif_encoder no)
 endif()
 list(JOIN REQUIRES_PRIVATE " " REQUIRES_PRIVATE)
 set(VERSION ${PROJECT_VERSION})
